Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.java
Interface JavaVMInitArgs

    public interface JavaVMInitArgs

Author:
  PBurka This class models the JavaVMInitArgs C structure passed to JNI_CreateJavaVM to create this VM.

Field Summary
`static int` | `JNI_VERSION_1_1` The JNI specified version constant for the Java 1.1 version of JNI
`static int` | `JNI_VERSION_1_2` The JNI specified version constant for the Java 1.2 version of JNI
`static int` | `JNI_VERSION_1_4` The JNI specified version constant for the Java 1.4 version of JNI

Method Summary
`boolean` | `getIgnoreUnrecognized()` Fetch the ignoreUnrecognized field from the JavaVMInitArgs structure used to create this VM.
`java.util.Iterator` | `getOptions()` Fetch the options used to start this VM, in the order they were originally specified.
`int` | `getVersion()` Fetch the JNI version from the JavaVMInitArgs structure used to create this VM.

Field Detail

### JNI_VERSION_1_1

    static final int JNI_VERSION_1_1

  The JNI specified version constant for the Java 1.1 version of JNI

  See Also:
    Constant Field Values

### JNI_VERSION_1_2

    static final int JNI_VERSION_1_2

  The JNI specified version constant for the Java 1.2 version of JNI

  See Also:
    Constant Field Values

### JNI_VERSION_1_4

    static final int JNI_VERSION_1_4

  The JNI specified version constant for the Java 1.4 version of JNI

  See Also:
    Constant Field Values

Method Detail

### getVersion

    int getVersion()
                   throws DataUnavailable,
                          CorruptDataException

  Fetch the JNI version from the JavaVMInitArgs structure used to create this VM. See the JNI specification for the meaning for this field.

  Returns:
    the JNI version
  Throws:
    `DataUnavailable`
    `CorruptDataException`

### getIgnoreUnrecognized

    boolean getIgnoreUnrecognized()
                                  throws DataUnavailable,
                                         CorruptDataException

  Fetch the ignoreUnrecognized field from the JavaVMInitArgs structure used to create this VM. See the JNI specification for the meaning of this field.

  Returns:
    true if ignoreUnrecognized was set to a non-zero value with the VM was invoked
  Throws:
    `DataUnavailable`
    `CorruptDataException`

### getOptions

    java.util.Iterator getOptions()
                                  throws DataUnavailable

  Fetch the options used to start this VM, in the order they were originally specified.

  Returns:
    an Iterator over the collection of JavaVMOptions
  Throws:
    `DataUnavailable`
  See Also:
    `JavaVMOption`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD